#ifndef FILTER_CORE_H_
#define FILTER_CORE_H_

#include <sqlextract/filter/arbval.h>

struct filter_t;

/* Core methods */
struct filter_t *filter_create(
		void (*process)(struct arbval_t *, void *, void *),
		void (*destroy)(void *), void *storage);
void filter_destroy(struct filter_t *flt);
struct arbval_t *filter_process(struct filter_t *flt, void *object);

#endif /* FILTER_H_ */
