#ifndef SQLEXTRACT_H_
#define SQLEXTRACT_H_

#include <sqlextract/tables/table.h>
#include <sqlextract/command.h>

struct sqlextract_t;

struct sqlextract_t *sqlextract_create(struct strid_t *si);
void sqlextract_destroy(struct sqlextract_t *env);

void sqlextract_add_table(struct sqlextract_t *env, int tblname,
		struct table_desc_t *tdesc, void *arg);

logfilter_error sqlextract_last_error(struct sqlextract_t *env);

struct command_t *sqlextract_parse(struct sqlextract_t *env,
		const char *command);

#endif
